<?php
	//Start session
	session_start();
	
	//Include database connection details
	require_once('admin/Connection/config.php');
	
	//Array to store validation errors
	$errmsg_arr = array();
	
	//Validation error flag
	$errflag = false;
	
	//Connect to mysql server
	//$link = mysqli_connect('localhost', 'standard_standard', 'standard_standar','6PqKW*&pNA9R');
//	if(!$link) {
	//	die('Failed to connect to server: ' . mysql_error());
//	}
	
	//Select database
	//$db = mysqli_select_db('standard_standard');
	//if(!$db) {
	//	die("Unable to select database");
//	}
	
	//Function to sanitize values received from the form. Prevents SQL injection
	function clean($str) {
		$str = @trim($str);
		if(get_magic_quotes_gpc()) {
			$str = stripslashes($str);
		}
		return mysql_real_escape_string($str);
	}
	
	//Sanitize the POST values
	$tracknum = $_POST['tracknum'];
	
	
	//Input Validations
	if($tracknum == '') {
		$errmsg_arr[] = 'Empty Field not allowed';
		$errflag = true;
	}
		
	//If there are input validations, redirect back to the login form
	if($errflag) {
		$_SESSION['ERRMSG_ARR'] = $errmsg_arr;
		session_write_close();
		header("location: tracker.php");
		exit();
	}
	
	//Create query
	$qry="SELECT * FROM tracking WHERE num ='$tracknum'";
	$result=mysqli_query($login, $qry);
	
	//Check whether the query was successful or not
	if($result) {
		if(mysqli_num_rows($result) >= 1) {
			//Login Successful
			//session_regenerate_id();
			$admin = mysqli_fetch_assoc($result);
			$_SESSION['NUM'] = $admin['num'];
			

			session_write_close();
			@header("location: tracker_info.php");
			exit();
		}else {
			//Login failed
		    $errmsg_arr[] = 'Provide a valid tracking Number';
		    $errflag = true;
	       //If there are input validations, redirect back to the login form
	       if($errflag) {
		     $_SESSION['ERRMSG_ARR'] = $errmsg_arr;
		     session_write_close();
		     header("location: tracker.php");
		     exit();
	       }			
		}
	}else {
		die("Query failed");
	}
?>